Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154556 - ip.sh doesn't correctly check link states of bonded ethernet devices
Summary: ip.sh doesn't correctly check link states of bonded ethernet devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 17:25 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 15:41:12 UTC


Attachments (Terms of Use)
Patch fixing behavior. (deleted)
2005-04-12 18:12 UTC, Lon Hohberger
no flags Details | Diff

Description Lon Hohberger 2005-04-12 17:25:47 UTC
Description of problem:

Checking the link states of bonded ethernet devices requires running through
each physical (slave) interface and seeing if their link state is up or not. 
This was fixed in clumanager (as of 1.2.26.1), and is a regression.

Comment 1 Lon Hohberger 2005-04-12 17:26:58 UTC
Impact: Checking the link states of a bonded ethernet device where we bind a
service IP address will always fail, causing restarts and/or failover.

Comment 4 Lon Hohberger 2005-04-12 18:12:15 UTC
Created attachment 113044 [details]
Patch fixing behavior.

Comment 5 Lon Hohberger 2005-04-19 21:20:58 UTC
Fix in... cvs ... all ... branches


Note You need to log in before you can comment on or make changes to this bug.